﻿using DinerDataModels;
using DinerDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DinerDataModels.Models
{
    public interface IShopModel : IId
    {
        string ShopName { get; }
        string Adress { get; }
        DateTime OpeningDate { get; }
        Dictionary<int, (ISnackModel, int)> ShopSnacks { get; }
        public int SnackMaxCount { get; }
    }
}