﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DinerDatabaseImplement.Models
{
    public class ShopSnacks
    {
        public int Id { get; set; }

        [Required]
        public int SnackId { get; set; }

        [Required]
        public int ShopId { get; set; }

        [Required]
        public int Count { get; set; }

        public virtual Shop Shop { get; set; } = new();

        public virtual Snack Snack { get; set; } = new();
    }
}
